fix links
[ikiwiki.git] / debian / NEWS
1 ikiwiki (3.20100515) unstable; urgency=low
2
3   There are two significant changes to the page.tmpl template in this version.
4   If you have a locally modified version of that template, you will need to
5   update it at least to contain the following in the HTML <head>:
6
7     <TMPL_IF DYNAMIC>
8     <TMPL_IF FORCEBASEURL><base href="<TMPL_VAR FORCEBASEURL>" /><TMPL_ELSE>
9     <TMPL_IF BASEURL><base href="<TMPL_VAR BASEURL>" /></TMPL_IF>
10     </TMPL_IF>
11     </TMPL_IF>
12
13   Also, the footer should be wrapped in <TMPL_UNLESS DYNAMIC> ... </TMPL_UNLESS>
14   
15   There is a new "comment()" pagespec, that can be used to match a
16   comment on a page. It is recommended it be used instead of the old
17   method of using a pagespec such as "internal(comment_*)" to match
18   things that looked like comments. The old pagespec will now also match
19   comments that are held for moderation; likely not what you want.
20
21   There have also been some changes to the style.css in this version,
22   particularly to support the new openid selector. If you have a modified
23   version, of style.css, updating it (or moving it to local.css) is
24   recommended.
25
26  -- Joey Hess <joeyh@debian.org>  Wed, 05 May 2010 21:47:08 -0400
27
28 ikiwiki (3.20100427) unstable; urgency=low
29
30   This version of ikiwiki has a lot of changes that you need to know about.
31
32   Now you can include customised versions of templates in the source
33   of your wiki. (For example, templates/page.tmpl.) When these templates
34   are changed, ikiwiki will automatically rebuild pages that use them.
35
36   Allowing untrusted users to upload attachments with the ".tmpl"
37   extension is not recommended, as that allows anyone to change
38   a wiki's templates.
39
40   The --getctime switch is renamed to --gettime, and it also gets the 
41   file modification time. And it's a lot faster (when using git). But
42   the really important change is, you don't have to remember to use this
43   switch. Now ikiwiki will do it when it needs to.
44
45   At last, the "tagged()" pagespec only matches tags, not regular wikilinks.
46   If your wiki accidentially relied on the old, buggy behavior, you might
47   need to change its pagespecs to use "link()".
48
49   Many of your wishes have been answered: Now tag pages can automatically be
50   created when new tags are used. This feature is enabled by default if you
51   have configured a tagbase. It can be turned on or off using the
52   tag_autocreate setting.
53
54   These changes may also affect some users:
55
56   * The title_natural sort method (as used by the inline directive, etc)
57     has been moved to the new sortnaturally plugin, which is not enabled
58     by default since it requires the Sort::Naturally perl module.
59
60   * The add_templates option has been removed from the underlay plugin.
61     If you used this option, you can instead use templates/ subdirectories
62     inside underlay directories added by the add_underlays option.
63
64   Due to the above and other changes, all wikis need to be rebuilt on
65   upgrade to this version. If you listed your wiki in /etc/ikiwiki/wikilist
66   this will be done automatically when the Debian package is upgraded. Or
67   use ikiwiki-mass-rebuild to force a rebuild.
68
69  -- Joey Hess <joeyh@debian.org>  Tue, 27 Apr 2010 00:00:00 -0400
70
71 ikiwiki (3.20091017) unstable; urgency=low
72
73   To take advantage of significant performance improvements, all
74   wikis need to be rebuilt on upgrade to this version. If you
75   listed your wiki in /etc/ikiwiki/wikilist this will be done
76   automatically when the Debian package is upgraded. Or use
77   ikiwiki-mass-rebuild to force a rebuild.
78
79  -- Joey Hess <joeyh@debian.org>  Mon, 05 Oct 2009 16:48:59 -0400
80
81 ikiwiki (3.1415926) unstable; urgency=low
82
83   In order to fix a performance bug, all wikis need to be rebuilt on
84   upgrade to this version. If you listed your wiki in
85   /etc/ikiwiki/wikilist this will be done automatically when the
86   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force
87   a rebuild.
88
89  -- Joey Hess <joeyh@debian.org>  Tue, 25 Aug 2009 17:24:43 -0400
90
91 ikiwiki (3.13) unstable; urgency=low
92
93   The `ikiwiki-transition deduplinks` command introduced in the
94   last release was buggy. If you followed the NEWS file instructions
95   and ran it, you should run `ikiwiki -setup` to rebuild your wiki
96   to fix the problem.
97
98  -- Joey Hess <joeyh@debian.org>  Fri, 22 May 2009 13:04:02 -0400
99
100 ikiwiki (3.12) unstable; urgency=low
101
102   You may want to run `ikiwiki-transition deduplinks your.setup`
103   after upgrading to this version of ikiwiki. This command will
104   optimise your wiki's saved state, removing duplicate information
105   that can slow ikiwiki down.
106
107  -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 00:25:06 -0400
108
109 ikiwiki (3.01) unstable; urgency=low
110
111   If your wiki uses git, and you have a `diffurl` configured in
112   its setup file, you should be aware that gitweb has stopped
113   supporting the url form commonly used for the `diffurl`.
114
115   You can change your setup to use the newer gitweb url form:
116
117     http://git.example.com/gitweb.cgi?p=wiki.git;a=blobdiff;f=[[file]];h=[[sha1_to]];hp=[[sha1_from]];hb=[[sha1_commit]];hpb=[[sha1_parent]]
118
119   The changes from the old form are the addition of the `hpb` parameter,
120   and the change to the value used for the `hb` parameter.
121
122  -- Joey Hess <joeyh@debian.org>  Mon, 05 Jan 2009 18:18:05 -0500
123
124 ikiwiki (3.00) unstable; urgency=low
125
126   The 3.0 release of ikiwiki changes several defaults and finishes
127   some transitions. You will need to modify your wikis to work with
128   ikiwiki 3.0. A document explaining the process is available
129   in </usr/share/doc/ikiwiki/html/tips/upgrade_to_3.0.html>
130
131  -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2008 16:14:18 -0500
132
133 ikiwiki (2.62) unstable; urgency=low
134
135   TexImg standard preamble changed
136
137   The teximg plugin now has a configurable LaTeX preamble.
138   As part of this change the `mchem` LaTeX package has been removed from
139   the default LaTeX preamble as it wasn't included in many TeX installations.
140
141   The previous behaviour can be restored by adding the following to your
142   ikiwiki setup:
143
144         teximg_prefix => '\documentclass{scrartcl}
145                 \usepackage[version=3]{mhchem}
146                 \usepackage{amsmath}
147                 \usepackage{amsfonts}
148                 \usepackage{amssymb}
149                 \pagestyle{empty}
150                 \begin{document}',
151
152   In addition, the rendering mechanism has been changed to use `dvipng` by
153   default, if available.
154
155  -- Joey Hess <joeyh@debian.org>  Sun, 24 Aug 2008 15:00:40 -0400
156
157 ikiwiki (2.60) unstable; urgency=low
158
159   Admin preferences are moving from the web interface to the setup file.
160   There are three new options in the setup file: `locked_pages`, `banned_users`,
161   and `allowed_attachments`. The admin prefs page can still be used, but
162   that's deprecated, and the prefs will be hidden if a value is not already
163   set. If a value is set in the web interface, you're encouraged to move that
164   setting to your setup file now, since version 3.0 will remove the deprecated
165   admin prefs web interface.
166
167   Also, the layout of the setup file has changed in a significant way in this
168   release. Old setup files will continue to work, but new features, like the
169   new websetup interface, require a new format setup file. You can convert
170   old setup files into the new format by running 
171   `ikiwiki-transition setupformat ikiwiki.setup`
172
173  -- Joey Hess <joeyh@debian.org>  Fri, 01 Aug 2008 17:02:14 -0400
174
175 ikiwiki (2.52) unstable; urgency=low
176
177   All wikis need to be rebuilt on upgrade to this version. If you listed your
178   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
179   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
180
181  -- Joey Hess <joeyh@debian.org>  Sun, 06 Jul 2008 15:10:05 -0400
182
183 ikiwiki (2.49) unstable; urgency=low
184
185   The search plugin no longer uses hyperestraier. Instead, to use it you
186   will now need to install xapian-omega, and the Search::Xapian,
187   HTML::Scrubber, and Digest::SHA1 perl modules. Ie,
188   `apt-get install xapian-omega libsearch-xapian-perl libhtml-scrubber-perl libdigest-sha1-perl`
189
190   Also, wikis that use the search plugin will need to be rebuilt,
191   since the search form has changed. This will not be done automatically,
192   but can be done by running `ikiwiki-mass-upgrade` as root, or
193   running `ikiwiki -setup` on individual setup files.
194
195  -- Joey Hess <joeyh@debian.org>  Wed, 04 Jun 2008 00:29:28 -0400
196
197 ikiwiki (2.48) unstable; urgency=high
198
199   If you allowed password based logins to your wiki, those passwords were
200   stored in cleartext in the userdb. To guard against exposing users'
201   passwords, I recommend you install the Authen::Passphrase perl module, and
202   then run `ikiwiki-transition hashpassword /path/to/srcdir` to replace all
203   existing cleartext passwords with strong (blowfish) hashes.
204
205  -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2008 14:39:34 -0400
206
207 ikiwiki (2.46) unstable; urgency=low
208  
209   There were some significant template changes in ikiwiki 2.42 (and 1.33.5).
210   If you have locally modified versions of the templates, they need to be
211   updated. Most notably, the editpage.tmpl has a new FIELD-SID added to it,
212   without which web editing will fail.
213  
214  -- Joey Hess <joeyh@debian.org>  Tue, 06 May 2008 14:30:14 -0400
215
216 ikiwiki (2.40) unstable; urgency=low
217
218   ikiwiki now has an new syntax for preprocessor directives, using the
219   prefix '!':
220
221   [[!directive ...]]
222
223   This new syntax no longer relies on spaces to distinguish between
224   wikilinks and preprocessor directives.  Thus, wikilinks can use spaces
225   in their link text, and preprocessor directives without arguments (such
226   as "toc") need not use a trailing space.
227
228   To enable the new syntax, set prefix_directives to true in your ikiwiki
229   config.  For backward compatibility with existing wikis,
230   prefix_directives currently defaults to false.  In ikiwiki 3.0,
231   prefix_directives will default to true, and wikis which have not yet
232   converted to the new syntax will need to set prefix_directives to false
233   in their setup files.
234
235   To convert your wiki to the new syntax, ikiwiki provides a new script
236   ikiwiki-transition.
237
238   Even with prefix_directives disabled, ikiwiki now allows an optional '!'
239   prefix on preprocessor directives (but still requires a space).  Thus, a
240   directive which uses a '!' prefix and contains a space will work with
241   ikiwiki 2.40 and newer, regardless of the value of prefix_directives.
242   This allows the underlay to work with all ikiwikis.
243
244  -- Josh Triplett <josh@freedesktop.org>  Sat, 26 Jan 2008 16:26:47 -0800
245
246 ikiwiki (2.30) unstable; urgency=low
247
248   Ever feel that ikiwiki's handling of RecentChanges wasn't truely in the
249   spirit of a wiki compiler? Well, that's changed. The RecentChanges page is
250   now a static page, not a CGI. Users can subscribe to its rss/atom feeds.
251   Custom RecentChanges pages can be easily set up that display only changes
252   to a subset of pages, or only changes by a subset of users.
253   
254   All wikis need to be rebuilt on upgrade to this version. If you listed your
255   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
256   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
257
258   With this excellent new RecentChanges support, the mail notification system
259   is its age (and known to be variously buggy and underimplemented for
260   various VCSes), and so ikiwiki's support for sending commit mails is REMOVED
261   from this version. If you were subscribed to commit mails, you should be
262   able to accomplish the same thing by subscribing to a RecentChanges feed.
263
264   The "notify" field in setup files is no longer used, and
265   silently ignored. You may want to remove it from your setup file.
266
267  -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 17:18:31 -0500
268
269 ikiwiki (2.20) unstable; urgency=low
270
271   The template plugin has begin to htmlize the variables passed to templates.
272   This is normally what you want, but to get the old behavior and get at the
273   raw value, you can use `<TMPL_VAR raw_variable>` in a template.
274  
275  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
276
277 ikiwiki (2.16) unstable; urgency=low
278
279   Many of the pages in ikiwiki's basewiki have been moved and renamed in this
280   release, to avoid the basewiki including pages with names like "blog".
281   Redirection pages have been left behind for these moved pages temporarily,
282   and will be removed later.
283
284   If you use the calendar plugin, ikiwiki is now smarter and your nightly
285   cron job to update the wiki doesn't need to rebuild everything. Just pass
286   --refresh to ikiwiki in the cron job and it will update only pages that
287   contain out of date calendars.
288
289  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
290
291 ikiwiki (2.14) unstable; urgency=low
292
293   This version of ikiwiki is more picky about symlinks in the path leading
294   to the srcdir, and will refuse to use a srcdir specified by such a path.
295   This was necessary to avoid some potential exploits, but could potentially
296   break (semi-)working wikis. If your wiki has a srcdir path containing a
297   symlink, you should change it to use a path that does not.
298
299  -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 14:57:57 -0500
300
301 ikiwiki (2.9) unstable; urgency=low
302
303   Since ikiwiki 2.0 was released, some limitiations have been added to what
304   ikiwiki considers a WikiLink. In short, if there are any spaces in between
305   the brackets, ikiwiki no longer considers it to be a WikiLink. If your wiki
306   contains things meant to be WikiLinks that contain spaces, you will need to
307   fix them, by replacing the spaces with underscores.
308   
309   WikiLink have always been documented to not contain spaces, but bugs in
310   ikiwiki made it treat some text with spaces as WikiLinks. Most of these
311   bugs were fixed in version 2.2, and a final bug was fixed in this 2.9
312   release. These fixes are necessary to avoid ambiguity between
313   WikiLinks and PreProcessorDirectives. Apologies for any inconvenience
314   these bugs (and their fixes) may have caused.
315
316  -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2007 14:37:18 -0400
317
318 ikiwiki (2.6) unstable; urgency=low
319
320   In this version the rst plugin allows raw html to be embedded in rst files.
321   As long as the htmlscrubber is enabled, this should be safe. If you are
322   using the rst plugin without the htmlscrubber in a publically writable wiki,
323   you should turn on the htmlscrubber.
324
325  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 18:37:22 -0400
326
327 ikiwiki (2.5) unstable; urgency=low
328
329   Due to some config changes in this version, wrappers need to be rebuilt on
330   upgrade. If you listed your wiki in /etc/ikiwiki/wikilist this will be
331   one automatically when the Debian package is upgraded.
332
333  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 17:54:40 -0400
334
335 ikiwiki (2.1) unstable; urgency=low
336
337   Some wikis need to be rebuilt on upgrade to this version, due to changes to
338   page templates and the style sheet. If you listed your wiki in
339   /etc/ikiwiki/wikilist this will be done automatically when the Debian
340   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
341
342  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
343
344 ikiwiki (2.00) unstable; urgency=low
345
346   With the 2.0 release of ikiwiki, some major changes have been made to the
347   default configuration:
348
349   * The 'usedirs' setting is enabled by default. This *will* break all URLs
350     to wikis that did not have 'usedirs' turned on before, unless you follow
351     the procedure described at <http://ikiwiki.info/tips/switching_to_usedirs>,
352     or edit your setup file to turn usedirs off:
353        usedirs => 0,
354
355   * OpenID logins are now enabled by default, if the Net::OpenID::Consumer
356     perl module is available. Password logins are also still enabled
357     by default. If you like, you can turn either OpenID or password logins
358     off via the 'disable_plugins' setting.
359
360  -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2007 19:00:43 -0400
361
362 ikiwiki (1.51) unstable; urgency=low
363
364   Some wikis need to be rebuilt on upgrade to this version, due to changes to
365   page layout and the style sheet. If you listed your wiki in
366   /etc/ikiwiki/wikilist this will be done automatically when the Debian
367   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
368
369  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
370
371 ikiwiki (1.50) unstable; urgency=low
372
373   Permalinks and guids in rss and atom feeds for wikis using the usedirs
374   options will change in this release. If you have already enabled usedirs,
375   you may need to take steps to avoid flooding aggregators.
376
377  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
378
379 ikiwiki (1.49) unstable; urgency=low
380
381   Third-party plugins that use htmlpage() or abs2rel() to generate links
382   may need changes to support the new "usedirs" option.
383
384  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
385
386 ikiwiki (1.47) unstable; urgency=low
387  
388   Due to a security fix, wikis that have the htmlscrubber enabled can no
389   longer use the meta plugin to insert html link and meta tags.
390
391   Some special case methods have been added for safely including stylesheets,
392   and for doing openid delegation. See the meta plugin docs for details.
393  
394  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
395
396 ikiwiki (1.45) unstable; urgency=low
397
398   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
399   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
400   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
401
402  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
403
404 ikiwiki (1.44) unstable; urgency=low
405
406   The htmllink() function has changed slightly and plugins that use it may
407   need to change how they call it. This function's first three parameters
408   are unchanged, but additional options are now passed using named
409   parameters. If you used htmllink with more than 3 parameters, you will
410   need to change it. The plugin interface version has been increased to 1.02
411   to reflect this change.
412
413  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
414
415 ikiwiki (1.42) unstable; urgency=low
416
417   The anonok setting in config files has been removed. To enable
418   httpauth support on your wiki, you should now enable the anonok plugin,
419   instead.
420
421   Third-party plugins that use pagespec_match() should be updated to pass
422   the new third parameter (from) to that function. This is needed for the
423   new relative glob matching to work.
424
425  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
426
427 ikiwiki (1.34) unstable; urgency=low
428
429   The httpauth setting in config files has been removed. To enable
430   httpauth support on your wiki, you should now enable the httpauth plugin,
431   instead.
432
433   This release includes OpenID support that is enabled through the openid
434   plugin. I recommend turning this on to make it easier for users to sign
435   in to your wiki.
436
437  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
438
439 ikiwiki (1.32) unstable; urgency=low
440
441   There is a change to the plugin interface in this version. Any plugins that
442   modify data in %links should pass scan => 1 when registering the hook that
443   does so.
444
445  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
446
447 ikiwiki (1.29) unstable; urgency=low
448
449   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
450   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
451   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
452
453   There is a change to the plugin interface in this version. Plugins that use
454   %renderedfiles will need to be updated, as the hash's values are now arrays
455   of rendered files. Plugins that cause a page to render additional files
456   should use the new will_render function to register the files.
457
458  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
459
460 ikiwiki (1.22) unstable; urgency=low
461   
462   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
463   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
464   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
465   to force a rebuild.
466
467   If you have modified versions of ikiwiki's html templates, you will need
468   to update your templates to link to the stylesheet file using
469   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
470   STYLEURL.
471
472   There have also been some changes to the plugin interface:
473   Any plugins that use santize, htmlize, or format hooks will need to be
474   updated for this version of ikiwiki since these hooks have been changed
475   to use named parameters.
476
477  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
478
479 ikiwiki (1.13) unstable; urgency=low
480
481   The GlobList format which was used for specifiying sets of pages, has been
482   replaced with a new, more expressive PageSpec format. While GlobLists will
483   continue to work, that format is deprecated, and you are encouraged to use
484   PageSpecs from now on, and also to change any GlobLists in your wiki to
485   PageSpecs. See the new PageSpec page for details.
486   
487   You will need to rebuild your wiki when upgrading to this version. If you
488   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
489   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
490   rebuild.
491
492  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
493
494 ikiwiki (1.11) unstable; urgency=low
495
496   Some changes to tags in this release, due to a new tag plugin. If you have
497   been using the meta plugin to tag pages, you'll want to enable the tag
498   plugin too, and change things like this:
499
500   [[meta link="foobar"]]
501
502   To this:
503
504   [[tag foobar]]
505
506   The new tags will appear at page footers, and are also easier to type.
507
508   There have also been some changes to the plugin interface, particularly the
509   interface of pagetemplate hooks has changed. See the changelog for details.
510
511  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
512
513 ikiwiki (1.8) unstable; urgency=low
514
515   If your wiki is configured with a setup file, you should modify it to
516   stop setting the "plugin" list directly, and instead add or remove plugins
517   via the add_plugins and disable_plugins lines. For example, if you had:
518
519         plugin => [qw{inline smiley search}],
520
521   Change it to these lines, which disables the default htmlscrubber plugin
522   and adds the two additional plugins:
523
524         add_plugins => [qw{smiley search}],
525         disable_plugins => [qw{htmlscrubber}],
526
527   Making this change makes your ikiwiki setup file more future-proof since
528   new default plugins will be automatically used.
529   
530   You will need to rebuild your ikiwiki wrappers when upgrading to this
531   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
532   done automatically when the Debian package is upgraded. Or use
533   ikiiki-mass-rebuild --refresh to force a refresh.
534
535  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
536
537 ikiwiki (1.1) unstable; urgency=low
538
539   There have been several configuration changes in this release of ikiwiki:
540
541   The --svn and --no-svn switches are removed, instead you should use
542    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
543   be changed to set rcs => "svn"; if your setup file sets svn => 0
544   then change it to use rcs => "" to disable svn.
545
546   The --hyperestraier switch is gone too. To enable searching, turn on the
547   search plugin, by passing --plugin=search or through the plugin setting in
548   the setup file.
549
550   The --sanitize and --no-sanitize switches are also gone, replaced with the
551   htmlscrubber plugin. This plugin is enabled by default, to disable it,
552   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
553   setup file.
554
555   Discussion pages are enabled by default, but if your wiki is configured
556   with a setup file, you need to edit it to keep them enabled on upgrade
557   to this version. Add a line reading:
558   discussion => 1,
559
560   You will need to rebuild your wiki when upgrading to this version.
561   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
562   automatically when the Debian package is upgraded. Or use
563   ikiiki-mass-rebuild to force a rebuild.
564
565  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400